/* -*- Mode: java; tab-width: 8; c-basic-offset: 4 -*-
 * Copyright  1997, 1998 Netscape Communications Corporation, All Rights Reserved.
 */

package com.netscape.javascript.CORBA;

import com.netscape.javascript.*;
import com.netscape.javascript.ScriptRuntime;

/**
 * This class wraps an inout parameter for a CORBA operation invocation.
 *
 * @author Mike Shaver
 */

public class InOut extends ScriptableObject
{
    public String getClassName() { return "InOut"; }
    
    public InOut (Object value)
    {
        this.value = value;
    }

    public boolean has(String id, int index, Scriptable start)
    {
	return id.intern() == "value";
    }

    public Object getDefaultValue (Class hint)
    {
    	return value;
    }

    public Object get (String id, int index, Scriptable start)
    {
	if (id.intern () == "value")
	    return value;
	return Scriptable.NOT_FOUND;
    }

    public void set(String id, int index, Scriptable start, Object value)
    {
	if (id.intern () == "value")     this.value = value;
    }

    public Object value;
